GET restapi/personal/courses/{courseId}/folders/{folderId}/resources/v1?PageIndex={PageIndex}&PageSize={PageSize}&elementType={elementType}&learningToolType={learningToolType}

Gets a list of resources for the given course and folder.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
courseId

The course identifier.

integer

Required

folderId

The folder identifier.

integer

Required

PageIndex

integer

None.

PageSize

integer

None.

elementType

Filters returned resources that are not of the given type. Defaults to all.

Itsolutions.ItslUtils.Constants.ElementType

Default value is All

learningToolType

Filters returned learning tool elements that are not of the given type if provided.

Itslearning.Platform.RestApi.Sdk.Common.Entities.LearningToolType

None.

Body Parameters

None.

Response Information

Resource Description

Itslearning.RestApi.Entities.Personal.Course.CourseFolderDetails
NameDescriptionTypeAdditional information
Resources

List of resources in a folder.

EntityListOfItslearning.RestApi.Entities.Personal.Course.CourseResource

None.

AddElementUrl

Url to itslearning to add new element. It's empty if user doesn't have permissions to add new element.

string

None.

Response Formats

application/json, text/json

Sample:
{
  "Resources": {
    "EntityArray": [
      {
        "Title": "sample string 1",
        "ElementId": 2,
        "ElementType": "Unknown",
        "CourseId": 3,
        "Url": "sample string 4",
        "ContentUrl": "sample string 5",
        "IconUrl": "sample string 6",
        "BrandIconUrl": "sample string 7",
        "Active": true,
        "LearningToolId": 9,
        "AddElementUrl": "sample string 10",
        "Homework": true,
        "Path": "sample string 12",
        "LearningObjectId": 13,
        "LearningObjectInstanceId": 14
      },
      {
        "Title": "sample string 1",
        "ElementId": 2,
        "ElementType": "Unknown",
        "CourseId": 3,
        "Url": "sample string 4",
        "ContentUrl": "sample string 5",
        "IconUrl": "sample string 6",
        "BrandIconUrl": "sample string 7",
        "Active": true,
        "LearningToolId": 9,
        "AddElementUrl": "sample string 10",
        "Homework": true,
        "Path": "sample string 12",
        "LearningObjectId": 13,
        "LearningObjectInstanceId": 14
      }
    ],
    "Total": 1,
    "CurrentPageIndex": 2,
    "PageSize": 3
  },
  "AddElementUrl": "sample string 1"
}

application/xml, text/xml

Sample:
<CourseFolderDetails xmlns:i="http://www.w3.org/2001/XMLSchema-instance">
  <AddElementUrl>sample string 1</AddElementUrl>
  <Resources>
    <CurrentPageIndex>2</CurrentPageIndex>
    <EntityArray>
      <CourseResource>
        <Active>true</Active>
        <AddElementUrl>sample string 10</AddElementUrl>
        <BrandIconUrl>sample string 7</BrandIconUrl>
        <ContentUrl>sample string 5</ContentUrl>
        <CourseId>3</CourseId>
        <ElementId>2</ElementId>
        <ElementType>Unknown</ElementType>
        <Homework>true</Homework>
        <IconUrl>sample string 6</IconUrl>
        <LearningObjectId>13</LearningObjectId>
        <LearningObjectInstanceId>14</LearningObjectInstanceId>
        <LearningToolId>9</LearningToolId>
        <Path>sample string 12</Path>
        <Title>sample string 1</Title>
        <Url>sample string 4</Url>
      </CourseResource>
      <CourseResource>
        <Active>true</Active>
        <AddElementUrl>sample string 10</AddElementUrl>
        <BrandIconUrl>sample string 7</BrandIconUrl>
        <ContentUrl>sample string 5</ContentUrl>
        <CourseId>3</CourseId>
        <ElementId>2</ElementId>
        <ElementType>Unknown</ElementType>
        <Homework>true</Homework>
        <IconUrl>sample string 6</IconUrl>
        <LearningObjectId>13</LearningObjectId>
        <LearningObjectInstanceId>14</LearningObjectInstanceId>
        <LearningToolId>9</LearningToolId>
        <Path>sample string 12</Path>
        <Title>sample string 1</Title>
        <Url>sample string 4</Url>
      </CourseResource>
    </EntityArray>
    <PageSize>3</PageSize>
    <Total>1</Total>
  </Resources>
</CourseFolderDetails>